import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:linkv_rtc/linkv_rtc_engine.dart';

void main() {
  const MethodChannel channel = MethodChannel('linkv');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await LinkVRTCEngine.platformVersion, '42');
  });
}
