//
//  FlutterSurfaceViewFactory.m
//  linkv_rtc
//
//  Created by Wing on 2020/7/22.
//

#import "FlutterSurfaceViewFactory.h"
#import "FlutterSurfaceView.h"

@implementation FlutterSurfaceViewFactory

- (NSObject<FlutterMessageCodec> *)createArgsCodec {
    return [FlutterStandardMessageCodec sharedInstance];
}

- (NSObject<FlutterPlatformView> *)createWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id)args {
    return [[FlutterSurfaceView alloc] initWithFrame:frame viewIdentifier:viewId arguments:args];
}

@end
